Package org.eclipse.microprofile.fault.tolerance.tck.interceptor.ftPriorityChange

# Class FaultToleranceInterceptorPriorityChangeAnnotationConfTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.fault.tolerance.tck.interceptor.ftPriorityChange.FaultToleranceInterceptorPriorityChangeAnnotationConfTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class FaultToleranceInterceptorPriorityChangeAnnotationConfTest extends org.jboss.arquillian.testng.Arquillian
A Client to demonstrate the interceptors ordering behavior of FT and CDI annotations

Author:
  carlosdlr

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`FaultToleranceInterceptorPriorityChangeAnnotationConfTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearResources()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`void`
`testAsync()`
This test validates the interceptors execution order after call a method annotated with Asynchronous FT annotation, using a queue type FIFO (first-in-first-out).
`void`
`testRetryInterceptors()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FaultToleranceInterceptorPriorityChangeAnnotationConfTest

public FaultToleranceInterceptorPriorityChangeAnnotationConfTest()

## Method Details

### deploy

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### testAsync

public void testAsync() throws InterruptedException, ExecutionException
This test validates the interceptors execution order after call a method annotated with Asynchronous FT annotation, using a queue type FIFO (first-in-first-out). The head of the queue is that element that has been on the queue the longest time. In this case is validating that the early interceptor is executed at first.

Throws:
  `InterruptedException` - if the current thread was interrupted while waiting
  `ExecutionException` - if the computation threw an exception

### testRetryInterceptors

public void testRetryInterceptors()

### clearResources

@AfterMethod public void clearResources()